Rule-based labelling: Rules not sortable

2018-01-21 09:28 PM - Bernd Vogelgesang

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Labelling

Affected QGIS version:master Regression?: Yes

Operating System: Linux Mint 18.2 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 25814

Description

I have a graduated layer style and would like to switch this to rule-based for usage in the atlas.

When I add a new rule, which should represent the parent rule of the already existing ones from the graduated style, it is positioned below

the current rule.

I fail to drag it above, or drag those other rules below it, forming a rule tree. 

The mouse gets stuck and I can only go on by hitting ESC

As there are no buttons for up/down, indent/outdent, the process fully relies on mouse actions, which unfortuanetly fail at my maschine.

History

#1 - 2018-01-25 07:05 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

- Status changed from Open to Feedback

A short video would probably help here, I tried to replicate the bug following your description but I didn't succeed: I was able to switch from categorized to

rule-based, create a new rule and drag-drop the other rules below it to form a tree.

#2 - 2018-02-19 07:21 AM - Nyall Dawson

- Status changed from Feedback to Closed

Closing due to lack of feedback

#3 - 2018-02-21 09:48 PM - Giovanni Manghi

- Resolution set to not reproducable
